# Projet Programmation Web 1 - Animation de Particules

**Licence 1 Informatique — 2020/2021**  

---

## 📌 Description du Projet
Implémentation d'une animation de particules simulant la gravitation newtonienne avec :
- Une structure HTML organisée
- Une mise en forme CSS responsive
- Des comportements dynamiques en JavaScript

---

## ✅ Tâches Accomplies

### Partie 1 : Structuration HTML 
- [x] Création d'une structure HTML complète avec :
  - Titre principal (`<h1>`)
  - Zone d'affichage contenant :
    - Canvas (800x600)
    - Panneau de contrôle (masquable) avec :
      - Titre `<h3>`
      - Slider + affichage valeur
      - Color picker
      - Labels accessibles
  - Boutons Start/Stop
  - Pied de page
- [x] IDs appropriés pour tous les éléments interactifs

### Partie 2 : CSS 
- [x] Styles généraux :
  - Body : fond sombre, texte clair, police sans-serif
  - Titres stylisés (majuscules CSS, bordures)
  - Labels en inline-block (30% width)
- [x] Disposition Flexbox :
  - Centrage vertical/horizontal de la zone d'animation
  - Commentaires explicatifs dans le CSS
- [x] Styles spécifiques :
  - Canvas en position absolue (arrière-plan)
  - Panneau semi-transparent
  - Boutons personnalisés

### Partie 3 : JavaScript 
1. **Interface**  
   - [x] Toggle show/hide du panneau
   - [x] Affichage dynamique de la valeur du slider

2. **Classe Particule**  
   ```javascript
   class Particule {
     constructor(masse, x, y) {
       this.masse = masse;
       this.x = x;
       this.y = y;
       this.vx = 0;
       this.vy = 0;
       this.fx = 0;
       this.fy = 0;
       this.color = getRandomColor();
       this.immobile = (masse >= 3000);
       this.radius = Math.sqrt(masse)*0.5;
     }
     draw() { /* méthode d'affichage */ }
   }

